# Poco

# class PipeInputStream

Library: Foundation
Package: Processes
Header: Poco/PipeStream.h

## Description

An input stream for reading from a Pipe.

Using formatted input from a PipeInputStream is not recommended, due to the read-ahead behavior of istream with formatted reads.

## Inheritance

Direct Base Classes: PipeIOS, std::istream

All Base Classes: PipeIOS, std::ios, std::istream

## Member Summary

Inherited Functions: close, rdbuf

## Constructors

### PipeInputStream

PipeInputStream(
const Pipe & pipe
);

Creates the PipeInputStream with the given Pipe.

## Destructor

### ~PipeInputStream

~PipeInputStream();

Destroys the PipeInputStream.